package org.example.project.ViewModel

import android.graphics.BitmapFactory
import androidx.compose.foundation.Image
import androidx.compose.foundation.layout.Box
import androidx.compose.foundation.layout.fillMaxSize
import androidx.compose.runtime.Composable
import androidx.compose.ui.Modifier
import androidx.compose.ui.graphics.ImageBitmap
import androidx.compose.ui.graphics.asImageBitmap
import androidx.compose.ui.graphics.painter.BitmapPainter
import androidx.compose.ui.layout.ContentScale
import androidx.compose.ui.res.imageResource
import org.example.project.R
import java.io.File


@Composable
actual fun ImageFromPath(path: String, modifier: Modifier) {
    val imageBitmap: ImageBitmap? = when {
        path.isEmpty() -> {
            ImageBitmap.imageResource(id = R.drawable.basic_photo)
        }

        else -> {
            val file = File(path)
            if (file.exists()) {
                val bitmap = BitmapFactory.decodeFile(file.absolutePath)
                bitmap?.asImageBitmap()
            } else null
        }
    }

    if (imageBitmap != null) {
        Image(
            painter = BitmapPainter(imageBitmap),
            contentDescription = null,
            modifier = modifier,
            contentScale = ContentScale.Crop
        )
    } else {
        Box(modifier = modifier.fillMaxSize())
    }
}

//@Composable
//actual fun ImageFromPath(path: String, modifier: Modifier) {
//    // Попытка загрузить изображение из локального пути
//    if (path == ""){
//        path =
//    }
//
//    val file = File(path)
//    val imageBitmap: ImageBitmap? = if (file.exists()) {
//        val bitmap = BitmapFactory.decodeFile(file.absolutePath)
//        bitmap?.asImageBitmap()
//    } else {
//        null
//    }
//
//    if (imageBitmap != null) {
//        Image(
//            painter = BitmapPainter(imageBitmap),
//            contentDescription = null,
//            modifier = modifier,
//            contentScale = ContentScale.Crop
//        )
//    } else {
//        Box(modifier = modifier.fillMaxSize())
//    }
//}